Bug 1260850 - cinnamon menu applet binds Super+space besides Super
cinnamon menu applet binds Super+space besides Super
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: cinnamon-desktop (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 23:50 EDT by fujiwara
Modified: 2015-09-14 01:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-08 01:47:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fujiwara 2015-09-07 23:50:18 EDT
IBus binds Super+space to switch the input method engines by default.
When users press Super+space, the space char is output and Super+space+space can switch engines in Cinnamon desktop. This does not happen in other desktops.

To reproduce:
1. Log into Cinnamon desktop.
2. Run ibus-daemon if it does not.
% ibus-daemon --xim &
3. Run ibus-setup and open "Input Method" tab and add more than two IMEs.
4. Press Super+space

And then Super+space does not switch IMEs.

Expected result:
Cinnamon binds "Super" key only but not "Super+space".
Super+space can switch IMEs.

Workaround:
Run cinnamon-settings and select "Applet" -> "Menu" and click "Settings" button.
Change the short cut "Super_L" in "Keyboard shortcut to open and close menu" to "<Super>Up".
Comment 1 leigh scott 2015-09-08 01:47:11 EDT
Sorry fixing this isn't going to happen as I haven't got any more available time to look into this issue.

Note You need to log in before you can comment on or make changes to this bug.